Query executed order deals
curl --request POST \
--url https://whitebit.com/api/v4/trade-account/order \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"orderId": 3134995325,
"request": "{{request}}",
"nonce": 1594297865000,
"offset": 0,
"limit": 50
}
'import requests
url = "https://whitebit.com/api/v4/trade-account/order"
payload = {
"orderId": 3134995325,
"request": "{{request}}",
"nonce": 1594297865000,
"offset": 0,
"limit": 50
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
orderId: 3134995325,
request: '{{request}}',
nonce: 1594297865000,
offset: 0,
limit: 50
})
};
fetch('https://whitebit.com/api/v4/trade-account/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{
"time": 1593342324.613711,
"fee": "0.00000419198",
"price": "0.00000701",
"amount": "598",
"id": 149156519,
"dealOrderId": 3134995325,
"clientOrderId": "customId11",
"role": 2,
"deal": "0.00419198",
"feeAsset": "USDT",
"rpi": true
}
],
"offset": 0,
"limit": 100
}{
"code": 30,
"message": "Validation failed",
"errors": {}
}{
"code": 30,
"message": "Validation failed",
"errors": {}
}Query executed order deals
Get the individual trade fills for a specific executed spot order via the WhiteBIT V4 API.
Query executed order deals
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Identifier of the order to retrieve deals for.
Example:
3134995325
Example:
"{{request}}"
Example:
1594297865000
Number of records to skip. Default: 0.
Required range:
x >= 0Example:
0
Maximum number of records to return. Default: 50.
Required range:
x >= 1Example:
50
Was this page helpful?
⌘I